histogram.train {caret} | R Documentation

## Lattice functions for plotting resampling results

### Description

A set of lattice functions are provided to plot the resampled performance estimates (e.g. classification accuracy, RMSE) over tuning parameters (if any).

### Usage

    ## S3 method for class 'train'
    histogram(x, data = NULL, metric = x$metric, ...)

### Arguments

`x` | An object produced by `train`
`data` | This argument is not used
`metric` | A character string specifying the single performance metric that will be plotted
`...` | arguments to pass to either `histogram`, `densityplot`, `xyplot` or `stripplot`

### Details

By default, only the resampling results for the optimal model are saved in the `train` object. The function `trainControl` can be used to save all the results (see the example below).

If leave-one-out or out-of-bag resampling was specified, plots cannot be produced (see the `method` argument of `trainControl`)

For `xyplot` and `stripplot`, the tuning parameter with the most unique values will be plotted on the x-axis. The remaining parameters (if any) will be used as conditioning variables. For `densityplot` and `histogram`, all tuning parameters are used for conditioning.

Using `horizontal = FALSE` in `stripplot` works.

### Value

A lattice plot object

### Author(s)

Max Kuhn

### See Also

`train`, `trainControl`, `histogram`, `densityplot`, `xyplot`, `stripplot`

### Examples

    ## Not run:

    library(mlbench)
    data(BostonHousing)

    library(rpart)
    rpartFit <- train(medv ~ .,
                      data = BostonHousing,
                      "rpart",
                      tuneLength = 9,
                      trControl = trainControl(
                        method = "boot",
                        returnResamp = "all"))

    densityplot(rpartFit,
                adjust = 1.25)

    xyplot(rpartFit,
           metric = "Rsquared",
           type = c("p", "a"))

    stripplot(rpartFit,
              horizontal = FALSE,
              jitter = TRUE)

    ## End(Not run)

[Package caret version 6.0-76 Index]